Library Version 11.2.5.3

DB_ENV->repmgr_get_ack_policy()
Prev | Chapter 10. Replication Methods | Next

## DB_ENV->repmgr_get_ack_policy()

    #include <db.h>

    int
    DB_ENV->repmgr_get_ack_policy(DB_ENV *env, int *ack_policyp);

The `DB_ENV->repmgr_get_ack_policy()` method returns the Replication Manager's client acknowledgment policy. This is configured using the DB_ENV->repmgr_set_ack_policy() method.

The `DB_ENV->repmgr_get_ack_policy()` method may be called at any time during the life of the application.

The `DB_ENV->repmgr_get_ack_policy()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### ack_policyp

The ack_policyp parameter references memory into which the Replication Manager's client acknowledgement policy is copied.

### Class

DB_ENV

### See Also

Replication and Related Methods, DB_ENV->repmgr_set_ack_policy()

Prev | Up | Next
DB_ENV->repmgr_local_site() | Home | DB_ENV->repmgr_msg_dispatch()